crypto_builtin_composites.h File Reference
`#include <psa/crypto_driver_common.h>`
`#include "mbedtls/cmac.h"`
Include dependency graph for crypto_builtin_composites.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | mbedtls_psa_hmac_operation_t
struct | mbedtls_psa_mac_operation_t

## Macros

#define | MBEDTLS_PSA_BUILTIN_MAC
#define | MBEDTLS_PSA_HMAC_OPERATION_INIT {0, PSA_HASH_OPERATION_INIT, {0}}
#define | MBEDTLS_PSA_MAC_OPERATION_INIT {0, {0}}

## Macro Definition Documentation

## MBEDTLS_PSA_BUILTIN_MAC

#define MBEDTLS_PSA_BUILTIN_MAC

Definition at line 43 of file crypto_builtin_composites.h.

## MBEDTLS_PSA_HMAC_OPERATION_INIT

#define MBEDTLS_PSA_HMAC_OPERATION_INIT {0, PSA_HASH_OPERATION_INIT, {0}}

Definition at line 57 of file crypto_builtin_composites.h.

## MBEDTLS_PSA_MAC_OPERATION_INIT

#define MBEDTLS_PSA_MAC_OPERATION_INIT {0, {0}}

Definition at line 77 of file crypto_builtin_composites.h.